Bug 173231 - system-config-security level deletes /etc/sysconfig/iptables
system-config-security level deletes /etc/sysconfig/iptables
Status: CLOSED DUPLICATE of bug 138143
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 09:09 EST by Anthony Messina
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-29 15:01:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Messina 2005-11-15 09:09:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172390#c0

originally, i thought system-config-securitylevel combined selinux and iptables commits in one sweep.  i was informed that it should not do this.  however, if you set custom iptables rules (which are saved to /etc/sysconfig/iptables) they are deleted if you make any changes in either the selinux part or the iptables part of the system-config-securitylevel gui

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.5.8.1-1

How reproducible:
Always

Steps to Reproduce:
1. create an iptables rule, such as "iptables -A INPUT -i eth0 -p tcp -j ACCEPT"
2. do "cat /etc/sysconfig/iptables" and view your new rule
3. open system-config-securitylevel
4. do not change anything in the firewall tab, but change on of the selinux booleans
5. click ok
  

Actual Results:  /etc/sysconfig/iptables is deleted, meaning that if you try to restart iptables or when you reboot, your iptables rules will not be there.

Expected Results:  changing selinux parameters in the system-config-securitylevel gui should not delete /etc/sysconfig/iptables unless you are changing firewall parameters (even then, i think it should account for rules you have already created).

Additional info:

see original bug i filed #172390:
see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=172390#c0

i marked this as "security" because you may not have any idea that you've just removed your firewall, which most of us would consider a problem.
Comment 1 Chris Lumens 2005-11-29 15:01:03 EST

*** This bug has been marked as a duplicate of 138143 ***

Note You need to log in before you can comment on or make changes to this bug.